## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate crossterm

Name:           rust-%{crate}
Version:        0.22.1
Release:        %autorelease
Summary:        Crossplatform terminal library for manipulating terminals

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/crossterm
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         crossterm-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Crossplatform terminal library for manipulating terminals.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+event-stream-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+event-stream-devel %{_description}

This package contains library source intended for building other packages which
use the "event-stream" feature of the "%{crate}" crate.

%files       -n %{name}+event-stream-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.1-1
- Update to version 0.22.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.20.0-1
- Update to version 0.20.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 21 15:46:54 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2.
- Fixes RHBZ#1883428

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 0.17.7-3
- Bump to parking_lot 0.11

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Josh Stone <jistone@redhat.com> - 0.17.7-1
- Update to 0.17.7

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.17.6-1
- Update to 0.17.6

* Sat May 23 20:16:32 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.5-1
- Update to 0.17.5

* Sun May 10 14:37:51 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.4-1
- Update to 0.17.4

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.16.0-2
- Fix leaking fd's

* Thu Mar 19 2020 Josh Stone <jistone@redhat.com> - 0.16.0-1
- Update to 0.16.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.14.2-1
- Update to 0.14.2

* Fri Dec 27 10:27:17 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.14.1-1
- Update to 0.14.1

* Wed Dec 11 19:34:59 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.3-1
- Update to 0.13.3

* Sat Aug 03 16:37:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Sun Jul 28 18:46:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 11:49:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.6-1
- Update to 0.9.6

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Wed May 15 20:13:25 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.4-1
- Update to 0.9.4

* Sat Apr 20 10:40:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3

* Fri Apr 05 17:25:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Fri Apr 05 09:03:46 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Thu Apr 04 08:13:39 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Initial package

